Subject: bug#66611: 29.1; vc-update-change-log triggers vc-not-supported update-changelog Git error

From: Manuel Giraud <[email-masked]>
Date: Tue, 24 Oct 2023 20:35:41 +0200

"Rolando Garza C." <[email-masked]> writes:

> Hi.  I'm getting a "VC method not implemented for backend:
> update-changelog, Git" error message upon trying to run
> vc-update-change-log.

Hi,

I don't think it is a bug because it is true that update-changelog is
not implemented for the Git backend.  The header in "vc-git.el" says:

;; - update-changelog (files)                      COULD BE SUPPORTED

So it seems it could be done though.

[...]

> Require VC (using eval-expression):
>     M-: (require 'vc) <RET>
>
> Create a repository:
>     M-x vc-create-repo <RET>
>     Git <RET>

FWIW, I don't think that the (require 'vc) is required 😁 and you don't
need to call vc-create-repo because 'C-x v v' will ask to if needed.

Best regards,
-- 
Manuel Giraud